import { Router } from "express";

import { authRouter } from "../modules/auth/auth.routes.js";
import { bookingsRouter } from "../modules/bookings/bookings.routes.js";
import { categoriesRouter } from "../modules/categories/categories.routes.js";
import { itemsRouter } from "../modules/items/items.routes.js";
import { statusesRouter } from "../modules/statuses/statuses.routes.js";
import { timelineRouter } from "../modules/timeline/timeline.routes.js";
import { usersRouter } from "../modules/users/users.routes.js";

export const apiRouter = Router();

apiRouter.use("/auth", authRouter);
apiRouter.use("/timeline", timelineRouter);
apiRouter.use("/bookings", bookingsRouter);
apiRouter.use("/equipment-categories", categoriesRouter);
apiRouter.use("/equipment-items", itemsRouter);
apiRouter.use("/device-statuses", statusesRouter);
apiRouter.use("/users", usersRouter);
